# FYI:
# http://trac.wildfiregames.com/wiki/BuildInstructions#Linux

%define alpha	19

Name:		0ad
Epoch:		1
Version:	0.0.%{alpha}
Release:	%mkrel 1
License:	GPLv2+ LGPLv2
Group:		Games/Strategy
Summary:	Cross-Platform RTS Game of Ancient Warfare
Url:		http://play0ad.com/
Source0:	http://releases.wildfiregames.com/%{name}-%{version}-alpha-unix-build.tar.xz
# adapted from binaries/system/readme.txt
# It is advisable to review this file on newer versions, to update the
# version field and check for extra options. Note that windows specific,
# and disabled options were not added to the manual page.
Source1:	%{name}.6
Patch0:		0ad-0.0.18-mga-system-valgrind.patch
Requires:	%{name}-data >= %{epoch}:%{version}

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	jpeg-devel
BuildRequires:	miniupnpc-devel
BuildRequires:	pkgconfig(gloox)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libenet)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(valgrind)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	python
BuildRequires:	wxgtk3.0-devel

%description
0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
real-time strategy (RTS) game of ancient warfare. In short, it is a
historically-based war/economy game that allows players to relive or rewrite
the history of Western civilizations, focusing on the years between 500 B.C.
and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
graphics, detailed artwork, sound, and a flexible and powerful custom-built
game engine.

The game has been in development by Wildfire Games (WFG), a group of volunteer,
hobbyist game developers, since 2001.

%prep
%autosetup -p1 -n %{name}-0.0.%{alpha}-alpha
build/workspaces/clean-workspaces.sh

%build
%setup_compile_flags
build/workspaces/update-workspaces.sh \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}/%{name} \
    --libdir=%{_libdir}/%{name}
# We don't have mozjs31 nor nvtt in mga5
#    --with-system-nvtt
#    --with-system-mozjs31

%make config=release verbose=1 -C build/workspaces/gcc

%check
# test fails as they requires libraries already installed
#export LD_LIBRARY_PATH=%{buildroot}%{_libdir}/%{name}
#./binaries/system/test

%install
install -d %{buildroot}%{_gamesbindir}
install -m755 binaries/system/pyrogenesis %{buildroot}%{_gamesbindir}/pyrogenesis
install -m755 build/resources/0ad.sh      %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_libdir}/%{name}
install -m755 binaries/system/*.so %{buildroot}%{_libdir}/%{name}
rm -f %{buildroot}%{_libdir}/%{name}/libmozjs31-ps-debug.so

install -D -m644 build/resources/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 build/resources/%{name}.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
install -D -m644 build/resources/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a binaries/data/* %{buildroot}%{_gamesdatadir}/%{name}

install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6
ln -sf %{name}.6 %{buildroot}%{_mandir}/man6/pyrogenesis.6

%files
%doc README.txt LICENSE.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/pyrogenesis
%{_gamesdatadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_mandir}/man6/*.6*


%changelog
* Sun Nov 29 2015 akien <akien> 1:0.0.19-1.mga5
+ Revision: 907014
- Alpha 19

* Sat Mar 14 2015 akien <akien> 1:0.0.18-1.mga5
+ Revision: 818499
- Alpha 18 Rhododactylos
- Build against bundled mozjs31 since it is not package in Mageia 5

* Wed Dec 17 2014 akien <akien> 1:0.0.17-0.alpha.3.mga5
+ Revision: 803763
- Rebuild for miniupnpc

* Wed Oct 15 2014 umeabot <umeabot> 1:0.0.17-0.alpha.2.mga5
+ Revision: 740301
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 akien <akien> 1:0.0.17-0.alpha.1.mga5
+ Revision: 738717
- Alpha 17 Quercus
- Build against system valgrind (patch from Fedora)

* Tue Sep 16 2014 umeabot <umeabot> 1:0.0.16-0.alpha.4.mga5
+ Revision: 677626
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 luigiwalser <luigiwalser> 1:0.0.16-0.alpha.3.mga5
+ Revision: 668386
- rebuild

* Fri May 30 2014 guillomovitch <guillomovitch> 1:0.0.16-0.alpha.2.mga5
+ Revision: 627796
- add missing data files

* Thu May 29 2014 guillomovitch <guillomovitch> 1:0.0.16-0.alpha.1.mga5
+ Revision: 627720
- disable failing tests
- add man page, stolen from Fedora

  + dams <dams>
    - new version alpha 16
    - rebuild for new 'miniupnpc'

  + akien <akien>
    - Add Fedora patch to workaround %%check failure with gcc 4.9

  + luigiwalser <luigiwalser>
    - add patch from fedora to allow building with miniupnpc 1.9
    - rebuild for miniupnpc

* Fri Feb 14 2014 fwang <fwang> 1:0.0.15-0.alpha.3.mga5
+ Revision: 591039
- force wxgtk 2.8
- add upstream patch to build with wxwidgets 3.0
- try build with wxwidgets 3.0

  + barjac <barjac>
    - rebuild against boost-1.55

* Tue Feb 04 2014 dams <dams> 1:0.0.15-0.alpha.1.mga5
+ Revision: 581333
- update BR (miniupnpc)
- new version aplha 15
- update BR (gloox)
- add appdata file

* Sat Oct 19 2013 umeabot <umeabot> 1:0.0.14-0.alpha.2.mga4
+ Revision: 533792
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 dams <dams> 1:0.0.14-0.alpha.1.mga4
+ Revision: 475443
- new version alpha 14

* Mon Jul 08 2013 fwang <fwang> 1:0.0.13-0.alpha.4.mga4
+ Revision: 451140
- rebuild for new boost

* Mon Jun 03 2013 fwang <fwang> 1:0.0.13-0.alpha.3.mga4
+ Revision: 435530
- rebuild for new libpng

* Wed Apr 10 2013 dams <dams> 1:0.0.13-0.alpha.2.mga3
+ Revision: 409473
- rebuild for new boost

* Fri Apr 05 2013 dams <dams> 1:0.0.13-0.alpha.1.mga3
+ Revision: 408206
- new version: alpha 13

* Fri Jan 11 2013 umeabot <umeabot> 1:0.0.12-0.alpha.3.mga3
+ Revision: 345042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 kamil <kamil> 1:0.0.12-0.alpha.2.mga3
+ Revision: 332905
- rebuild against boost 1.52.0

* Wed Dec 19 2012 dams <dams> 1:0.0.12-0.alpha.1.mga3
+ Revision: 332858
- new version 0.0.12
- update %%version to follow upstream version

* Sun Sep 09 2012 dams <dams> 1.0-1.alpha11.mga3
+ Revision: 291316
- new version alpha11
- remove useless patchs
- update specfile

* Fri Aug 03 2012 fwang <fwang> 1.0-0.11863.5.mga3
+ Revision: 278185
- update boost libname
- fix build with boost 1.50
- br libjs
- rebuild for new boost

* Fri Jun 08 2012 dams <dams> 1.0-0.11863.4.mga3
+ Revision: 257623
- fix '.desktop'

* Thu Jun 07 2012 dams <dams> 1.0-0.11863.3.mga3
+ Revision: 257100
- update specfile to use 'gamesdatadir' and 'gamesbindir'
- fix require en 'Oad-data'
- add 'gamin-devel' instead of 'fam-devel' as it deprecated
- add 'mozjs185-devel' as a 'BuildRequires'
- fix build options (was missing '=' before path)
- do not use 'enet' and 'mozjs185' from the tarball but from system

* Sun Jun 03 2012 wally <wally> 1.0-0.11863.2.mga3
+ Revision: 253778
- rebuild for new enet

* Fri Jun 01 2012 dams <dams> 1.0-0.11863.1.mga3
+ Revision: 252587
- new version alpha 10 rev 11863

* Tue May 29 2012 kamil <kamil> 1.0-0.10803.3.mga3
+ Revision: 248945
- rebuild against boost 1.49.0

* Wed Dec 28 2011 dmorgan <dmorgan> 1.0-0.10803.2.mga2
+ Revision: 188462
- Rebuild against new libtiff

  + guillomovitch <guillomovitch>
    - new alpha version

* Fri Dec 16 2011 wally <wally> 1.0-0.10288.4.mga2
+ Revision: 182844
- use unicode version of wxgtk
- drop duplicate BRs
- wxGTK-devel BR was renamed to wxgtk-devel

* Mon Nov 28 2011 fwang <fwang> 1.0-0.10288.3.mga2
+ Revision: 173548
- rebuild for new boost

* Sun Sep 25 2011 wally <wally> 1.0-0.10288.2.mga2
+ Revision: 147663
- build with system enet

* Tue Sep 20 2011 mikala <mikala> 1.0-0.10288.1.mga2
+ Revision: 146051
- update tarball to Alpha 7 Geronium ( revision 10288)
- remove %%clean section &  %%defattr
- Fix license
- Fix files list
- Drop patchs merged upstream

* Mon Sep 12 2011 fwang <fwang> 1.0-0.09786.2.mga2
+ Revision: 142618
- fix build with libpng1.5
- rebuild for new libpng
- install libenet
- do not use system enet (it requires enet 1.3, which is n/a)
- data package becomes seperated source package
- add upstream patch to build with boost 1.47
- new snapshot 09786
- rebuild for new boost

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Wed Jun 22 2011 fwang <fwang> 1.0-0.09488.2.mga2
+ Revision: 111857
- rebuild for new boost

* Sun May 08 2011 mikala <mikala> 1.0-0.09488.1.mga1
+ Revision: 96555
- imported package 0ad

